--
-- Selected TOC Entries:
--
\connect - root
--
-- TOC Entry ID 2 (OID 19560)
--
-- Name: id Type: SEQUENCE Owner: root
--

CREATE SEQUENCE "id" start 1 increment 1 maxvalue 2147483647 minvalue 1  cache 1 ;

--
-- TOC Entry ID 4 (OID 19560)
--
-- Name: id Type: ACL Owner: 
--

REVOKE ALL on "id" from PUBLIC;
GRANT ALL on "id" to "apache";
GRANT ALL on "id" to "root";

--
-- TOC Entry ID 5 (OID 19607)
--
-- Name: tariffs_names Type: TABLE Owner: root
--

CREATE TABLE "tariffs_names" (
	"tariff_id" integer DEFAULT nextval('id'::text) NOT NULL,
	"tariff_name" text,
	Constraint "tariffs_names_pkey" Primary Key ("tariff_id")
);

--
-- TOC Entry ID 6 (OID 19607)
--
-- Name: tariffs_names Type: ACL Owner: 
--

REVOKE ALL on "tariffs_names" from PUBLIC;
GRANT ALL on "tariffs_names" to "apache";
GRANT ALL on "tariffs_names" to "root";

--
-- TOC Entry ID 7 (OID 19637)
--
-- Name: nets_names Type: TABLE Owner: root
--

CREATE TABLE "nets_names" (
	"net_id" integer DEFAULT nextval('id'::text) NOT NULL,
	"net_name" text,
	"glob" integer DEFAULT 100,
	Constraint "nets_names_pkey" Primary Key ("net_id")
);

--
-- TOC Entry ID 8 (OID 19637)
--
-- Name: nets_names Type: ACL Owner: 
--

REVOKE ALL on "nets_names" from PUBLIC;
GRANT ALL on "nets_names" to "apache";
GRANT ALL on "nets_names" to "root";

--
-- TOC Entry ID 9 (OID 19699)
--
-- Name: customers Type: TABLE Owner: root
--

CREATE TABLE "customers" (
	"cust_id" integer DEFAULT nextval('id'::text) NOT NULL,
	"login" text,
	"ip_addr" text,
	"name" text,
	"sname" text,
	"phone" text,
	"e_mail" text,
	"address" text,
	"comment" text,
	"pause" boolean DEFAULT 'f',
	"detailed" boolean DEFAULT 'f',
	Constraint "customers_pkey" Primary Key ("cust_id")
);

--
-- TOC Entry ID 10 (OID 19699)
--
-- Name: customers Type: ACL Owner: 
--

REVOKE ALL on "customers" from PUBLIC;
GRANT ALL on "customers" to "apache";
GRANT ALL on "customers" to "root";

--
-- TOC Entry ID 11 (OID 19736)
--
-- Name: services Type: TABLE Owner: root
--

CREATE TABLE "services" (
	"serv_id" integer NOT NULL,
	"dest" text,
	"proto" text,
	"tariff_id" integer,
	"net_id" integer,
	"agent" text,
	"sport" text,
	"dport" text,
	"iface" text
);

--
-- TOC Entry ID 12 (OID 19736)
--
-- Name: services Type: ACL Owner: 
--

REVOKE ALL on "services" from PUBLIC;
GRANT ALL on "services" to "apache";
GRANT ALL on "services" to "root";

--
-- TOC Entry ID 13 (OID 19769)
--
-- Name: cash Type: TABLE Owner: root
--

CREATE TABLE "cash" (
	"cust_id" integer NOT NULL,
	"cash" double precision DEFAULT 0,
	"kredit" double precision DEFAULT 0,
	Constraint "cash_pkey" Primary Key ("cust_id")
);

--
-- TOC Entry ID 14 (OID 19769)
--
-- Name: cash Type: ACL Owner: 
--

REVOKE ALL on "cash" from PUBLIC;
GRANT ALL on "cash" to "apache";
GRANT ALL on "cash" to "root";

--
-- TOC Entry ID 15 (OID 19786)
--
-- Name: nets Type: TABLE Owner: root
--

CREATE TABLE "nets" (
	"net_id" integer,
	"ip_net" text
);

--
-- TOC Entry ID 16 (OID 19786)
--
-- Name: nets Type: ACL Owner: 
--

REVOKE ALL on "nets" from PUBLIC;
GRANT ALL on "nets" to "apache";
GRANT ALL on "nets" to "root";

--
-- TOC Entry ID 17 (OID 36188)
--
-- Name: services_names Type: TABLE Owner: root
--

CREATE TABLE "services_names" (
	"serv_id" integer DEFAULT nextval('id'::text) NOT NULL,
	"serv_name" text,
	Constraint "services_names_pkey" Primary Key ("serv_id")
);

--
-- TOC Entry ID 18 (OID 36188)
--
-- Name: services_names Type: ACL Owner: 
--

REVOKE ALL on "services_names" from PUBLIC;
GRANT ALL on "services_names" to "apache";
GRANT ALL on "services_names" to "root";

--
-- TOC Entry ID 19 (OID 335991)
--
-- Name: logs Type: TABLE Owner: root
--

CREATE TABLE "logs" (
	"rule_name" text NOT NULL,
	"bytes" bigint NOT NULL,
	"pkts" bigint NOT NULL,
	"that_time" bigint NOT NULL,
	Constraint "logs_pkey" Primary Key ("that_time", "rule_name")
);

--
-- TOC Entry ID 20 (OID 335991)
--
-- Name: logs Type: ACL Owner: 
--

REVOKE ALL on "logs" from PUBLIC;
GRANT ALL on "logs" to "apache";
GRANT ALL on "logs" to "root";

--
-- TOC Entry ID 21 (OID 349208)
--
-- Name: tariffs Type: TABLE Owner: root
--

CREATE TABLE "tariffs" (
	"cust_id" integer,
	"tariff_id" integer,
	"price" double precision,
	"pr_type" integer,
	"last_paid" timestamp with time zone DEFAULT now(),
	"active_nocash" integer,
	"detailed" boolean DEFAULT 'f'::bool
);

--
-- TOC Entry ID 22 (OID 349208)
--
-- Name: tariffs Type: ACL Owner: 
--

REVOKE ALL on "tariffs" from PUBLIC;
GRANT ALL on "tariffs" to "apache";
GRANT ALL on "tariffs" to "root";

--
-- TOC Entry ID 23 (OID 366036)
--
-- Name: raw_logs Type: TABLE Owner: root
--

CREATE TABLE "raw_logs" (
	"source" text,
	"destination" text,
	"proto" text,
	"sport" text,
	"dport" text,
	"time" text,
	"len" text
);

--
-- TOC Entry ID 24 (OID 366036)
--
-- Name: raw_logs Type: ACL Owner: 
--

REVOKE ALL on "raw_logs" from PUBLIC;
GRANT ALL on "raw_logs" to "apache";
GRANT ALL on "raw_logs" to "root";

--
-- TOC Entry ID 29 (OID 704424)
--
-- Name: "daemon_needed" () Type: FUNCTION Owner: root
--

CREATE FUNCTION "daemon_needed" () RETURNS boolean AS 'select distinct detailed from customers where detailed = ''t'';' LANGUAGE 'sql';

--
-- Data for TOC Entry ID 30 (OID 19607)
--
-- Name: tariffs_names Type: TABLE DATA Owner: root
--


COPY "tariffs_names"  FROM stdin;
12	empty
8	internet incoming
3	Tomsk only
38	test
9	internet outgoing
58	local
\.
--
-- Data for TOC Entry ID 31 (OID 19637)
--
-- Name: nets_names Type: TABLE DATA Owner: root
--


COPY "nets_names"  FROM stdin;
1	tomsknet	40
7	internet	100
40	localnet	20
\.
--
-- Data for TOC Entry ID 32 (OID 19699)
--
-- Name: customers Type: TABLE DATA Owner: root
--


COPY "customers"  FROM stdin;
79	nsnsns	192.168.1.16	Oleg		548-724				f	f
81	dmitriy	192.168.1.17							f	f
85	dreamer	192.168.1.18							f	f
87	dracon	192.168.1.19							f	f
70	second	192.168.1.12	Nikolay	Nikolaevich	21-05-34				f	f
78	sev33	80.89.135.74	John		54-95-35	sev@mail.tomsknet.ru			f	f
72	kekoz	80.89.135.75	kaiser		55-03-19				f	f
2	admin	0/0	Kaiser			kaiser13@mail2000.ru		\N	f	f
57	dream	192.168.1.11	Alexander	_!_	266370	sibdream@mail2000.ru			f	f
69	pppuser	192.168.1.250							f	f
71	setka1	192.168.200.0/24							f	f
74	pepsi	192.168.1.14							f	f
76	stubble	192.168.1.249	John	Susov					f	f
\.
--
-- Data for TOC Entry ID 33 (OID 19736)
--
-- Name: services Type: TABLE DATA Owner: root
--


COPY "services"  FROM stdin;
4	in	all	3	1	iptables			eth4
6	out	all	3	1	iptables			eth4
10	in	all	8	7	iptables			eth4
11	out	all	9	7	iptables			eth4
59	in	all	58	40	iptables			!eth4
60	out	all	58	40	iptables			!eth4
10	in	all	12	7	iptables			eth4
11	out	all	12	7	iptables			eth4
13	in	tcp	12	1	iptables	25	\N	\N
14	out	tcp	12	1	iptables		25	
\.
--
-- Data for TOC Entry ID 34 (OID 19769)
--
-- Name: cash Type: TABLE DATA Owner: root
--


COPY "cash"  FROM stdin;
2	0	0
69	0	0
57	0	0
81	17.51405	0
87	-1.083773	0
85	-0.618056	0
72	56.536494	250
79	48.189466	0
74	-1.325953	0
70	250	0
71	1500	0
78	186.147058	0
76	148.069719	0
\.
--
-- Data for TOC Entry ID 35 (OID 19786)
--
-- Name: nets Type: TABLE DATA Owner: root
--


COPY "nets"  FROM stdin;
1	213.59.236.0/23
1	212.192.100.128/27
1	217.106.40.0/23
1	194.58.123.0/24
40	127.0.0.0/8
40	172.16.0.0/12
1	213.210.64.0/18
1	217.18.128.0/19
1	217.106.36.0/22
7	0/0
1	195.208.160.0/19
40	192.168.0.0/16
40	10.0.0.0/8
1	217.106.120.0/21
1	217.106.32.0/22
1	212.192.197.0/24
1	213.59.238.0/23
1	212.192.96.0/19
1	80.89.132.0/22
\.
--
-- Data for TOC Entry ID 36 (OID 36188)
--
-- Name: services_names Type: TABLE DATA Owner: root
--


COPY "services_names"  FROM stdin;
4	incoming Tomsk
6	outgoing Tomsk
10	incoming internet
11	outgoing internet
13	incoming Tomsk (smtp only)
14	outgoing Tomsk (smpt only)
59	incoming local
60	outgoing local
\.
--
-- Data for TOC Entry ID 37 (OID 335991)
--
-- Name: logs Type: TABLE DATA Owner: root
--


COPY "logs"  FROM stdin;
\.
--
-- Data for TOC Entry ID 38 (OID 349208)
--
-- Name: tariffs Type: TABLE DATA Owner: root
--


COPY "tariffs"  FROM stdin;
72	9	0	1	2002-01-13 20:14:43+07	0	f
79	8	3.6e-06	1	\N	0	f
79	9	0	1	\N	0	f
81	58	0	0	\N	0	f
2	9	0	0	\N	1	f
81	8	3.6e-06	1	\N	0	f
2	58	0	0	\N	1	f
81	9	0	1	\N	0	f
85	58	0	0	\N	0	f
85	8	3.6e-06	1	\N	0	f
85	9	0	1	\N	0	f
87	58	0	0	\N	0	f
87	8	3.6e-06	1	\N	0	f
87	9	0	1	\N	0	f
79	58	0	0	\N	0	f
72	58	0	0	2002-01-13 20:14:43+07	0	f
\N	\N	\N	\N	\N	\N	f
78	8	3.6e-06	1	2002-01-20 22:16:34+07	0	f
78	9	0	1	2002-01-20 22:16:34+07	0	f
71	58	0	0	2002-01-14 22:18:07+07	1	f
\N	\N	\N	\N	\N	\N	f
70	58	0	0	2002-01-07 14:46:02+07	1	f
\N	\N	\N	\N	2002-01-27 15:25:51+07	\N	f
72	8	3.6e-06	1	2002-01-13 20:14:43+07	0	f
57	58	0	0	\N	1	f
78	58	0	0	2002-01-20 22:16:34+07	0	f
79	3	0	0	2002-02-07 14:46:02+07	0	f
81	3	0	0	2002-02-07 14:46:02+07	0	f
2	3	0	0	2002-02-07 14:46:02+07	1	f
85	3	0	15	2002-02-07 14:46:02+07	0	f
87	3	0	0	2002-02-07 14:46:02+07	0	f
57	3	0	0	2002-02-07 14:46:02+07	1	f
69	3	0	0	2002-02-07 14:46:02+07	1	f
74	3	0	0	2002-02-07 14:46:02+07	1	f
76	3	0	0	2002-02-07 14:46:02+07	1	f
70	3	250	15	2002-02-07 14:46:02+07	0	f
71	3	1500	15	2002-01-14 22:18:07+07	0	f
78	3	250	15	2002-01-20 22:16:34+07	0	f
72	3	250	15	2002-02-07 14:46:02+07	1	f
69	58	0	0	\N	1	f
2	8	0	0	\N	1	f
74	8	3.6e-06	1	\N	0	f
74	9	0	1	\N	0	f
74	58	0	0	\N	1	f
76	58	0	0	\N	1	f
76	8	3.6e-06	1	\N	0	f
76	9	0	1	\N	0	f
\N	\N	\N	\N	\N	\N	f
\.
--
-- Data for TOC Entry ID 39 (OID 366036)
--
-- Name: raw_logs Type: TABLE DATA Owner: root
--


COPY "raw_logs"  FROM stdin;
\.
--
-- TOC Entry ID 25 (OID 19607)
--
-- Name: "tariffs_names_tariff_name_key" Type: INDEX Owner: root
--

CREATE UNIQUE INDEX "tariffs_names_tariff_name_key" on "tariffs_names" using btree ( "tariff_name" "text_ops" );

--
-- TOC Entry ID 26 (OID 19637)
--
-- Name: "nets_names_net_name_key" Type: INDEX Owner: root
--

CREATE UNIQUE INDEX "nets_names_net_name_key" on "nets_names" using btree ( "net_name" "text_ops" );

--
-- TOC Entry ID 27 (OID 19699)
--
-- Name: "customers_login_key" Type: INDEX Owner: root
--

CREATE UNIQUE INDEX "customers_login_key" on "customers" using btree ( "login" "text_ops" );

--
-- TOC Entry ID 28 (OID 36188)
--
-- Name: "services_names_serv_name_key" Type: INDEX Owner: root
--

CREATE UNIQUE INDEX "services_names_serv_name_key" on "services_names" using btree ( "serv_name" "text_ops" );

--
-- TOC Entry ID 40 (OID 35720)
--
-- Name: "RI_ConstraintTrigger_35719" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "tariffs_names"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('<unnamed>', 'tariffs', 'tariffs_names', 'UNSPECIFIED', 'tariff_id', 'tariff_id');

--
-- TOC Entry ID 41 (OID 35722)
--
-- Name: "RI_ConstraintTrigger_35721" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "tariffs_names"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_upd" ('<unnamed>', 'tariffs', 'tariffs_names', 'UNSPECIFIED', 'tariff_id', 'tariff_id');

--
-- TOC Entry ID 42 (OID 35724)
--
-- Name: "RI_ConstraintTrigger_35723" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "nets_names"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('<unnamed>', 'nets', 'nets_names', 'UNSPECIFIED', 'net_id', 'net_id');

--
-- TOC Entry ID 43 (OID 35726)
--
-- Name: "RI_ConstraintTrigger_35725" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "nets_names"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_upd" ('<unnamed>', 'nets', 'nets_names', 'UNSPECIFIED', 'net_id', 'net_id');

--
-- TOC Entry ID 44 (OID 35732)
--
-- Name: "RI_ConstraintTrigger_35731" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "customers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('<unnamed>', 'cash', 'customers', 'UNSPECIFIED', 'cust_id', 'cust_id');

--
-- TOC Entry ID 45 (OID 35734)
--
-- Name: "RI_ConstraintTrigger_35733" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "customers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_upd" ('<unnamed>', 'cash', 'customers', 'UNSPECIFIED', 'cust_id', 'cust_id');

--
-- TOC Entry ID 46 (OID 35736)
--
-- Name: "RI_ConstraintTrigger_35735" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER DELETE ON "customers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_del" ('<unnamed>', 'tariffs', 'customers', 'UNSPECIFIED', 'cust_id', 'cust_id');

--
-- TOC Entry ID 47 (OID 35738)
--
-- Name: "RI_ConstraintTrigger_35737" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER UPDATE ON "customers"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_cascade_upd" ('<unnamed>', 'tariffs', 'customers', 'UNSPECIFIED', 'cust_id', 'cust_id');

--
-- TOC Entry ID 48 (OID 35740)
--
-- Name: "RI_ConstraintTrigger_35739" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "services"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'services', 'services_names', 'UNSPECIFIED', 'serv_id', 'serv_id');

--
-- TOC Entry ID 49 (OID 35742)
--
-- Name: "RI_ConstraintTrigger_35741" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "cash"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'cash', 'customers', 'UNSPECIFIED', 'cust_id', 'cust_id');

--
-- TOC Entry ID 50 (OID 35744)
--
-- Name: "RI_ConstraintTrigger_35743" Type: TRIGGER Owner: root
--

CREATE CONSTRAINT TRIGGER "<unnamed>" AFTER INSERT OR UPDATE ON "nets"  NOT DEFERRABLE INITIALLY IMMEDIATE FOR EACH ROW EXECUTE PROCEDURE "RI_FKey_check_ins" ('<unnamed>', 'nets', 'nets_names', 'UNSPECIFIED', 'net_id', 'net_id');

--
-- TOC Entry ID 3 (OID 19560)
--
-- Name: id Type: SEQUENCE SET Owner: 
--

SELECT setval ('"id"', 91, 't');

